#include "device/sync/AbstractValueWriter.h"


AbstractValueWriter::AbstractValueWriter() 
{
    name = "Custom Synchronization Handler";
}

AbstractValueWriter::AbstractValueWriter(const AgString & name) 
{
    this->name = name;
}


const AgString &AbstractValueWriter::toString()
{
    return name;
}

void AbstractValueWriter::write(DataTablePtr value, CallerControllerPtr callerController,RequestControllerPtr requestController)
{
    UNUSED(value);
    UNUSED(callerController);
    UNUSED(requestController);
}


